Bug 84143 - kandy can not lock device, needs to use lockdev
kandy can not lock device, needs to use lockdev
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
http://bugs.kde.org/show_bug.cgi?id=8...
Upstream maintainer want a patch
:
Depends On:
Blocks: 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-02-12 14:36 EST by Eugene Kanter
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 09:24:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugene Kanter 2003-02-12 14:36:55 EST
Description of problem:

minicom uses /usr/sbin/lockdev, but kandy tries to create lock file direclty and
fails.

Version-Release number of selected component (if applicable):

kdepim-3.1-2

Steps to Reproduce:
1. configure minicom to access any serial port as user (no need to have anything
connected) and verify that there is not "permission denied" errors.
2. start kandy and point it to the same serial port

    
Actual results:

kandy pops up an error dialog.

Expected results:

successful connection.
Comment 1 Aleksey Nogin 2004-04-23 15:19:00 EDT
This is still there in Fedora Core devel
Comment 2 Aleksey Nogin 2004-04-23 15:35:44 EDT
I also reported this upstream - see
http://bugs.kde.org/show_bug.cgi?id=80228
Comment 3 Aleksey Nogin 2004-04-28 03:22:33 EDT
Upstream maintainer wrote (in
http://bugs.kde.org/show_bug.cgi?id=80228) that he does not have acces
to a lockdev-based distro and he would like to get a patch.
Comment 4 Petr Rockai 2005-03-17 09:24:14 EST
I fixed the bug in upstream CVS. Expect the fix to appear in next KDE and a 
following Fedora release. I will consider backporting this to 3.4 though. 

Note You need to log in before you can comment on or make changes to this bug.